Debian Bug report logs - #358545
FTBFS: ...skipped cscursor.so for lack of libcrystalspace.a...

version graph

Package: crystalspace; Maintainer for crystalspace is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for crystalspace is src:crystalspace.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 23 Mar 2006 03:33:25 UTC

Severity: serious

Found in versions crystalspace/0.99-20060125-1, crystalspace/1.0-20070508-1, crystalspace/1.2-20072611-1

Fixed in version crystalspace/1.2-20080000-1

Done: Christian Bayle <bayle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS: ...skipped cscursor.so for lack of libcrystalspace.a...
Date: Thu, 23 Mar 2006 03:23:36 +0000
Package: crystalspace
Version: 0.99-20060125-1
Severity: serious

Your package fails to build on unstable on a number of architectures.
It's not obvious to me from the build log what actually fails but it
does, just see
http://buildd.debian.org/build.php?arch=&pkg=crystalspace


> Automatic build of crystalspace_0.99-20060125-1 on bigsur by sbuild/mips 1.89
...
> ./include/csutil/weakref.h: In member function 'void csWeakRef<T>::Unlink() [with T = csTextureHandle]':
> ./include/csutil/weakref.h:117:   instantiated from 'csWeakRef<T>::~csWeakRef() [with T = csTextureHandle]'
> plugins/video/render3d/null/null_txt.cpp:85:   instantiated from here
> ./include/csutil/weakref.h:58: warning: dereferencing type-punned pointer will break strict-aliasing rules
> ...skipped null3d.so for lack of libcrystalspace.a...
> 
>         mkdir -p "./out/linuxmips/optimize/plugins/video/cursor"
> 
> 
>     g++ -c -o ./out/linuxmips/optimize/plugins/video/cursor/cursor.o -I. -I./include -I./include -Wall -Wno-unknown-pragmas -pipe -I/usr/local/include -fno-exceptions -fvisibility-inlines-hidden -fvisibility=hidden -Wno-non-virtual-dtor -O3 -fomit-frame-pointer -ffast-math -fPIC  plugins/video/cursor/cursor.cpp
> 
> ./include/csutil/weakref.h: In member function 'void csWeakRef<T>::Unlink() [with T = iEventQueue]':
> ./include/csutil/weakref.h:117:   instantiated from 'csWeakRef<T>::~csWeakRef() [with T = iEventQueue]'
> plugins/video/cursor/cursor.cpp:59:   instantiated from here
> ./include/csutil/weakref.h:58: warning: dereferencing type-punned pointer will break strict-aliasing rules
> ./include/csutil/weakref.h: In member function 'void csWeakRef<T>::Unlink() [with T = iGraphics3D]':
> ./include/csutil/weakref.h:117:   instantiated from 'csWeakRef<T>::~csWeakRef() [with T = iGraphics3D]'
> plugins/video/cursor/cursor.cpp:59:   instantiated from here
> ./include/csutil/weakref.h:58: warning: dereferencing type-punned pointer will break strict-aliasing rules
> ./include/csutil/weakref.h: In member function 'void csWeakRef<T>::Link() [with T = iEventQueue]':
> ./include/csutil/weakref.h:159:   instantiated from 'csWeakRef<T>& csWeakRef<T>::operator=(csPtr<T>) [with T = iEventQueue]'
> plugins/video/cursor/cursor.cpp:84:   instantiated from here
> ./include/csutil/weakref.h:66: warning: dereferencing type-punned pointer will break strict-aliasing rules
> ./include/csutil/weakref.h: In member function 'void csWeakRef<T>::Link() [with T = iGraphics3D]':
> ./include/csutil/weakref.h:129:   instantiated from 'csWeakRef<T>& csWeakRef<T>::operator=(T*) [with T = iGraphics3D]'
> plugins/video/cursor/cursor.cpp:285:   instantiated from here
> ./include/csutil/weakref.h:66: warning: dereferencing type-punned pointer will break strict-aliasing rules
> ...skipped cscursor.so for lack of libcrystalspace.a...
> make[1]: *** [all] Error 1
> ******************************************************************************

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #10 received at 358545@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: 358545@bugs.debian.org
Cc: 358545-submitter@bugs.debian.org
Subject: FTBFS: ...skipped cscursor.so for lack of libcrystalspace.a...
Date: Fri, 24 Mar 2006 09:06:21 +0100
Hi,

probably the reason is #358044.

-- 
	Falk



Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#358545. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #18 received at 358545@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Falk Hueffner <falk@debian.org>
Cc: 358545@bugs.debian.org
Subject: Re: Bug#358545: FTBFS: ...skipped cscursor.so for lack of libcrystalspace.a...
Date: Fri, 24 Mar 2006 12:15:17 +0000
* Falk Hueffner <falk@debian.org> [2006-03-24 09:06]:
> probably the reason is #358044.

Oh.  I saw your bug report, but thought mine was different because it
didn't died with the "know how to convert to IEEE" error... however,
you're abolutely right.  Not only do I get "know how to convert to
IEEE", but the build also doesn't stop on error!

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Jiggly Puff <jigglypuff@spambob.com>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #23 received at 358545@bugs.debian.org (full text, mbox):

From: Jiggly Puff <jigglypuff@spambob.com>
To: 358545@bugs.debian.org
Subject: libcrystalspace.a failed.
Date: Mon, 16 Oct 2006 22:42:09 -0700
The compile log that Martin sent is incomplete. There were errors above
that he forgot to include, probably because he didn't notice. Somewhere
up there, it says that libcrystal.a didn't compile, and probably has
hints as to why.

I have compiled crystal space many times (original source, not debian).
I have noticed that the best way to capture the errors are to route
stdout to a file.

Congratulations to the maintainer on getting crystal space to compile.
It isn't an easy feat to accomplish. Or, rather, compiling in such a way
as to get the test apps to run is a feat. And to package it into a valid
.deb as well. Huge congrats.



Reply sent to Christian Bayle <bayle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 358545-close@bugs.debian.org (full text, mbox):

From: Christian Bayle <bayle@debian.org>
To: 358545-close@bugs.debian.org
Subject: Bug#358545: fixed in crystalspace 1.0-20070508-1
Date: Tue, 08 May 2007 18:47:07 +0000
Source: crystalspace
Source-Version: 1.0-20070508-1

We believe that the bug you reported is fixed in the latest version of
crystalspace, which is due to be installed in the Debian FTP archive:

crystalspace-dev_1.0-20070508-1_amd64.deb
  to pool/main/c/crystalspace/crystalspace-dev_1.0-20070508-1_amd64.deb
crystalspace-doc_1.0-20070508-1_all.deb
  to pool/main/c/crystalspace/crystalspace-doc_1.0-20070508-1_all.deb
crystalspace_1.0-20070508-1.diff.gz
  to pool/main/c/crystalspace/crystalspace_1.0-20070508-1.diff.gz
crystalspace_1.0-20070508-1.dsc
  to pool/main/c/crystalspace/crystalspace_1.0-20070508-1.dsc
crystalspace_1.0-20070508-1_amd64.deb
  to pool/main/c/crystalspace/crystalspace_1.0-20070508-1_amd64.deb
crystalspace_1.0-20070508.orig.tar.gz
  to pool/main/c/crystalspace/crystalspace_1.0-20070508.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Bayle <bayle@debian.org> (supplier of updated crystalspace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  7 May 2007 21:18:42 +0200
Source: crystalspace
Binary: crystalspace-dev crystalspace crystalspace-doc
Architecture: source amd64 all
Version: 1.0-20070508-1
Distribution: unstable
Urgency: low
Maintainer: bayle@debian.org
Changed-By: Christian Bayle <bayle@debian.org>
Description: 
 crystalspace - Multiplatform 3D Game Development Kit
 crystalspace-dev - Multiplatform 3D Game Development Kit dev files
 crystalspace-doc - Multiplatform 3D Game Development Kit Documentation
Closes: 358044 358545 380792 399843 400884 401421
Changes: 
 crystalspace (1.0-20070508-1) unstable; urgency=low
 .
   * First upstream stable version (Closes: #400884)
   * Fix FTBFS: lack of libcrystalspace.a... (Closes: #358545)
   * Fix FTBFS: path problem (Closes: #399843)
   * Do not know how to convert to IEEE floats, fixed upstream (Closes: #358044)
   * Changed python dependancy for python-support (Closes: #380792)
   * Renamed startme to csstartme (Closes: #401421) filename namespace pollution
Files: 
 9432302cc44cb6eda3a769ce4dbb1557 1110 games optional crystalspace_1.0-20070508-1.dsc
 baffb28cc9510bf51793bda67a211fe3 32358853 games optional crystalspace_1.0-20070508.orig.tar.gz
 fa2efde50a26fc4ab1b8b00f8caddcbc 14610 games optional crystalspace_1.0-20070508-1.diff.gz
 9efe883682ba018b42247fb63327d2b4 39440738 games optional crystalspace_1.0-20070508-1_amd64.deb
 522fc971ca38106a0dcba2900738c479 825120 devel optional crystalspace-dev_1.0-20070508-1_amd64.deb
 e9f64a08b0fc9eecb332245f332fb2b6 3025788 doc optional crystalspace-doc_1.0-20070508-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGQLmyTx4JB6685x8RAvvyAKCeqphCvMCvTKq5gZMJlpJAt49MwgCgobbB
2h3n5YLIkpjN/5u8KmVF3LY=
=sm5Q
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #33 received at 358545@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 358545@bugs.debian.org
Subject: crystalspace - FTBFS
Date: Wed, 16 May 2007 09:31:08 +0200
found 358545 1.0-20070508-1
thanks

There was an error while trying to autobuild your package:

> Automatic build of crystalspace_1.0-20070508-1 on debian-31.osdl.marist.edu by sbuild/s390 98
[...]
>     g++ -c -o ./out/linux390/optimize/plugins/video/cursor/cursor.o -I. -I./include -I./include -pipe -Wall -Wno-unknown-pragmas -fvisibility=hidden -I/usr/local/include -fno-exceptions -fvisibility-inlines-hidden -O3 -fomit-frame-pointer -ffast-math -g2 -fPIC  plugins/video/cursor/cursor.cpp
> 
> ...skipped cscursor.so for lack of libcrystalspace.a...
> make[1]: *** [all] Error 1
> make[1]: Leaving directory `/build/buildd/crystalspace-1.0-20070508/CS'
> make: *** [build-arch-stamp] Error 2
> ******************************************************************************
> Build finished at 20070508-1809
> FAILED [dpkg-buildpackage died]



Bug marked as found in version 1.0-20070508-1. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 16 May 2007 07:36:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #40 received at 358545@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: bayle@debian.org, 358545@bugs.debian.org
Subject: Re: Bug#358545: crystalspace - FTBFS
Date: Sun, 30 Sep 2007 17:00:03 +0200
On 16/05/07 at 09:31 +0200, Bastian Blank wrote:
> found 358545 1.0-20070508-1
> thanks
> 
> There was an error while trying to autobuild your package:
> 
> > Automatic build of crystalspace_1.0-20070508-1 on debian-31.osdl.marist.edu by sbuild/s390 98
> [...]
> >     g++ -c -o ./out/linux390/optimize/plugins/video/cursor/cursor.o -I. -I./include -I./include -pipe -Wall -Wno-unknown-pragmas -fvisibility=hidden -I/usr/local/include -fno-exceptions -fvisibility-inlines-hidden -O3 -fomit-frame-pointer -ffast-math -g2 -fPIC  plugins/video/cursor/cursor.cpp
> > 
> > ...skipped cscursor.so for lack of libcrystalspace.a...
> > make[1]: *** [all] Error 1
> > make[1]: Leaving directory `/build/buildd/crystalspace-1.0-20070508/CS'
> > make: *** [build-arch-stamp] Error 2
> > ******************************************************************************
> > Build finished at 20070508-1809
> > FAILED [dpkg-buildpackage died]

Hi Christian,

Crystalspace 1.2rc2 is available from upstream. Maybe it's worth trying
to package it, to see if that bug is fixed?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Christian Bayle <bayle@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 358545@bugs.debian.org (full text, mbox):

From: Christian Bayle <bayle@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 358545@bugs.debian.org
Subject: Re: Bug#358545: crystalspace - FTBFS
Date: Tue, 02 Oct 2007 21:45:03 +0200
> Lucas Nussbaum wrote:
>>> Automatic build of crystalspace_1.0-20070508-1 on debian-31.osdl.marist.edu by sbuild/s390 98
>>>       
>> [...]
>>     
>>>     g++ -c -o ./out/linux390/optimize/plugins/video/cursor/cursor.o -I. -I./include -I./include -pipe -Wall -Wno-unknown-pragmas -fvisibility=hidden -I/usr/local/include -fno-exceptions -fvisibility-inlines-hidden -O3 -fomit-frame-pointer -ffast-math -g2 -fPIC  plugins/video/cursor/cursor.cpp
>>>
>>> ...skipped cscursor.so for lack of libcrystalspace.a...
>>> make[1]: *** [all] Error 1
>>> make[1]: Leaving directory `/build/buildd/crystalspace-1.0-20070508/CS'
>>> make: *** [build-arch-stamp] Error 2
>>> ******************************************************************************
>>> Build finished at 20070508-1809
>>> FAILED [dpkg-buildpackage died]
>>>       
>
> Hi Christian,
>
> Crystalspace 1.2rc2 is available from upstream. Maybe it's worth trying
> to package it, to see if that bug is fixed?
>   

I don't believe a lot in this, the main problem with CS is that there is
a system of dynamic modules that link with static libs when the dynamic
version is not available. The is no obligation in the policy to provide
a dynamic module.
I think the best I should do is to restrict support to some arch, so the
package can go in testing.

Cheers

Christian





Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #50 received at 358545@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Christian Bayle <bayle@debian.org>, 358545@bugs.debian.org
Subject: Re: Bug#358545: crystalspace - FTBFS
Date: Mon, 5 Nov 2007 11:58:58 +0100
On 02/10/07 at 21:45 +0200, Christian Bayle wrote:
> > Lucas Nussbaum wrote:
> >>> Automatic build of crystalspace_1.0-20070508-1 on debian-31.osdl.marist.edu by sbuild/s390 98
> >>>       
> >> [...]
> >>     
> >>>     g++ -c -o ./out/linux390/optimize/plugins/video/cursor/cursor.o -I. -I./include -I./include -pipe -Wall -Wno-unknown-pragmas -fvisibility=hidden -I/usr/local/include -fno-exceptions -fvisibility-inlines-hidden -O3 -fomit-frame-pointer -ffast-math -g2 -fPIC  plugins/video/cursor/cursor.cpp
> >>>
> >>> ...skipped cscursor.so for lack of libcrystalspace.a...
> >>> make[1]: *** [all] Error 1
> >>> make[1]: Leaving directory `/build/buildd/crystalspace-1.0-20070508/CS'
> >>> make: *** [build-arch-stamp] Error 2
> >>> ******************************************************************************
> >>> Build finished at 20070508-1809
> >>> FAILED [dpkg-buildpackage died]
> >>>       
> >
> > Hi Christian,
> >
> > Crystalspace 1.2rc2 is available from upstream. Maybe it's worth trying
> > to package it, to see if that bug is fixed?
> >   
> 
> I don't believe a lot in this, the main problem with CS is that there is
> a system of dynamic modules that link with static libs when the dynamic
> version is not available. The is no obligation in the policy to provide
> a dynamic module.
> I think the best I should do is to restrict support to some arch, so the
> package can go in testing.
 
Hi Christian,

Any progress on this?

I'm asking because crystalspace shows up very high on my list of
packages that should maybe be removed from Debian (RC buggy for a long
time, not in testing for a long time, low popcon).

Thank you,
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Christian Bayle <bayle@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #55 received at 358545@bugs.debian.org (full text, mbox):

From: Christian Bayle <bayle@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 358545@bugs.debian.org
Subject: Re: Bug#358545: crystalspace - FTBFS
Date: Tue, 06 Nov 2007 21:17:44 +0100
I think I will shortly upload a the new upstream, but restrict the
number of supported arch

Christian

Lucas Nussbaum wrote:
> On 02/10/07 at 21:45 +0200, Christian Bayle wrote:
>   
>>> Lucas Nussbaum wrote:
>>>       
>>>>> Automatic build of crystalspace_1.0-20070508-1 on debian-31.osdl.marist.edu by sbuild/s390 98
>>>>>       
>>>>>           
>>>> [...]
>>>>     
>>>>         
>>>>>     g++ -c -o ./out/linux390/optimize/plugins/video/cursor/cursor.o -I. -I./include -I./include -pipe -Wall -Wno-unknown-pragmas -fvisibility=hidden -I/usr/local/include -fno-exceptions -fvisibility-inlines-hidden -O3 -fomit-frame-pointer -ffast-math -g2 -fPIC  plugins/video/cursor/cursor.cpp
>>>>>
>>>>> ...skipped cscursor.so for lack of libcrystalspace.a...
>>>>> make[1]: *** [all] Error 1
>>>>> make[1]: Leaving directory `/build/buildd/crystalspace-1.0-20070508/CS'
>>>>> make: *** [build-arch-stamp] Error 2
>>>>> ******************************************************************************
>>>>> Build finished at 20070508-1809
>>>>> FAILED [dpkg-buildpackage died]
>>>>>       
>>>>>           
>>> Hi Christian,
>>>
>>> Crystalspace 1.2rc2 is available from upstream. Maybe it's worth trying
>>> to package it, to see if that bug is fixed?
>>>   
>>>       
>> I don't believe a lot in this, the main problem with CS is that there is
>> a system of dynamic modules that link with static libs when the dynamic
>> version is not available. The is no obligation in the policy to provide
>> a dynamic module.
>> I think the best I should do is to restrict support to some arch, so the
>> package can go in testing.
>>     
>  
> Hi Christian,
>
> Any progress on this?
>
> I'm asking because crystalspace shows up very high on my list of
> packages that should maybe be removed from Debian (RC buggy for a long
> time, not in testing for a long time, low popcon).
>
> Thank you,
>   





Reply sent to Christian Bayle <bayle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #60 received at 358545-close@bugs.debian.org (full text, mbox):

From: Christian Bayle <bayle@debian.org>
To: 358545-close@bugs.debian.org
Subject: Bug#358545: fixed in crystalspace 1.2-20072611-1
Date: Tue, 18 Dec 2007 20:47:08 +0000
Source: crystalspace
Source-Version: 1.2-20072611-1

We believe that the bug you reported is fixed in the latest version of
crystalspace, which is due to be installed in the Debian FTP archive:

crystalspace-dev_1.2-20072611-1_i386.deb
  to pool/main/c/crystalspace/crystalspace-dev_1.2-20072611-1_i386.deb
crystalspace-doc_1.2-20072611-1_all.deb
  to pool/main/c/crystalspace/crystalspace-doc_1.2-20072611-1_all.deb
crystalspace_1.2-20072611-1.diff.gz
  to pool/main/c/crystalspace/crystalspace_1.2-20072611-1.diff.gz
crystalspace_1.2-20072611-1.dsc
  to pool/main/c/crystalspace/crystalspace_1.2-20072611-1.dsc
crystalspace_1.2-20072611-1_i386.deb
  to pool/main/c/crystalspace/crystalspace_1.2-20072611-1_i386.deb
crystalspace_1.2-20072611.orig.tar.gz
  to pool/main/c/crystalspace/crystalspace_1.2-20072611.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Bayle <bayle@debian.org> (supplier of updated crystalspace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Nov 2007 23:48:58 +0100
Source: crystalspace
Binary: crystalspace-dev crystalspace crystalspace-doc
Architecture: source i386 all
Version: 1.2-20072611-1
Distribution: unstable
Urgency: low
Maintainer: Christian Bayle <bayle@debian.org>
Changed-By: Christian Bayle <bayle@debian.org>
Description: 
 crystalspace - Multiplatform 3D Game Development Kit
 crystalspace-dev - Multiplatform 3D Game Development Kit dev files
 crystalspace-doc - Multiplatform 3D Game Development Kit Documentation
Closes: 358545 430229 456927
Changes: 
 crystalspace (1.2-20072611-1) unstable; urgency=low
 .
   * New upstream release
   * Limit support to i386, amd64 and powerpc, supporting all arch is far too
     complex given all the dependancies
     This should reduce FTBFS (Closes: #358545) and (Closes: #430229)
     like this package should not be removed (CLoses: #456927)
Files: 
 fa2900f2840cf4d58204e3325ca7c16f 1110 games optional crystalspace_1.2-20072611-1.dsc
 4e2cb8122a2e629b22d5c29f0f10b555 39167963 games optional crystalspace_1.2-20072611.orig.tar.gz
 108799d2b1522ee60854f96799c840c2 15013 games optional crystalspace_1.2-20072611-1.diff.gz
 9795e885e0054c257de00c7a5e82d162 40900688 games optional crystalspace_1.2-20072611-1_i386.deb
 be25f3a188a208ad17f76b32017f8252 877482 devel optional crystalspace-dev_1.2-20072611-1_i386.deb
 56c087ca81f7a868d17c6e166844f815 3220346 doc optional crystalspace-doc_1.2-20072611-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHaCiITx4JB6685x8RAn22AJ90syaFTGkHVAt/lK3YHDeiNyKF2gCaAkhD
GTrkBjoO7g9efJ0PhV7Z70I=
=Ylj8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Christian Bayle <bayle@debian.org>:
Bug#358545; Package crystalspace. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Bayle <bayle@debian.org>. Full text and rfc822 format available.

Message #65 received at 358545@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 358545@bugs.debian.org
Subject: Not fixed
Date: Wed, 19 Dec 2007 01:14:36 +0100
found 358545 1.2-20072611-1
thanks

It is not allowed to link a shared object with non-PIC object files.

Bastian

-- 
It is a human characteristic to love little animals, especially if
they're attractive in some way.
		-- McCoy, "The Trouble with Tribbles", stardate 4525.6




Bug marked as found in version 1.2-20072611-1 and reopened. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 00:48:03 GMT) Full text and rfc822 format available.

Reply sent to Christian Bayle <bayle@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 358545-close@bugs.debian.org (full text, mbox):

From: Christian Bayle <bayle@debian.org>
To: 358545-close@bugs.debian.org
Subject: Bug#358545: fixed in crystalspace 1.2-20080000-1
Date: Fri, 21 Dec 2007 19:02:09 +0000
Source: crystalspace
Source-Version: 1.2-20080000-1

We believe that the bug you reported is fixed in the latest version of
crystalspace, which is due to be installed in the Debian FTP archive:

crystalspace-dev_1.2-20080000-1_i386.deb
  to pool/main/c/crystalspace/crystalspace-dev_1.2-20080000-1_i386.deb
crystalspace-doc_1.2-20080000-1_all.deb
  to pool/main/c/crystalspace/crystalspace-doc_1.2-20080000-1_all.deb
crystalspace_1.2-20080000-1.diff.gz
  to pool/main/c/crystalspace/crystalspace_1.2-20080000-1.diff.gz
crystalspace_1.2-20080000-1.dsc
  to pool/main/c/crystalspace/crystalspace_1.2-20080000-1.dsc
crystalspace_1.2-20080000-1_i386.deb
  to pool/main/c/crystalspace/crystalspace_1.2-20080000-1_i386.deb
crystalspace_1.2-20080000.orig.tar.gz
  to pool/main/c/crystalspace/crystalspace_1.2-20080000.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Bayle <bayle@debian.org> (supplier of updated crystalspace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Dec 2007 22:41:38 +0100
Source: crystalspace
Binary: crystalspace-dev crystalspace crystalspace-doc
Architecture: source i386 all
Version: 1.2-20080000-1
Distribution: unstable
Urgency: low
Maintainer: Christian Bayle <bayle@debian.org>
Changed-By: Christian Bayle <bayle@debian.org>
Description: 
 crystalspace - Multiplatform 3D Game Development Kit
 crystalspace-dev - Multiplatform 3D Game Development Kit dev files
 crystalspace-doc - Multiplatform 3D Game Development Kit Documentation
Closes: 358545
Changes: 
 crystalspace (1.2-20080000-1) unstable; urgency=low
 .
   * Only make binary for i386, amd64 and powerpc (Closes: #358545)
Files: 
 784138177da2b1aff5cdbd01165a75db 1110 games optional crystalspace_1.2-20080000-1.dsc
 804a58c7a4c28915909e6fb6deb99fae 39167957 games optional crystalspace_1.2-20080000.orig.tar.gz
 8800221a4f7c057a41c2e0bcab5f938f 15105 games optional crystalspace_1.2-20080000-1.diff.gz
 b691b42c42890f92112bf56f76593315 40851518 games optional crystalspace_1.2-20080000-1_i386.deb
 0291c82bf248a0d72a3d647156546c40 877512 devel optional crystalspace-dev_1.2-20080000-1_i386.deb
 9cd777211f7240260a89ab3c09502420 3220388 doc optional crystalspace-doc_1.2-20080000-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHbAiXTx4JB6685x8RAkAqAJ9TJyv2DHmgqk5miN0Gftlnm/trGgCeK2op
52xNLK6Y8fGKjOhZRnrQNDA=
=sMCH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Jan 2008 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:20:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.